"""
=================================================================
Distributions of correlation times (:mod:`nmreval.distributions`)
=================================================================

Each class provides a distribution of correlation times, correlation
function, spectral density, susceptibility, and calculation of different
types of correlation times.

.. autosummary::
   :toctree: generated/
   :template: autosummary/class_with_attributes.rst
   :nosignatures:

   Debye
   ColeCole
   ColeDavidson
   HavriliakNegami
   KWW
   LogGaussian

"""

from .havriliaknegami import HavriliakNegami
from .colecole import ColeCole
from .coledavidson import ColeDavidson
from .debye import Debye
from .kww import KWW
from .loggaussian import LogGaussian
